Subject: These are 10 outta 10 🙆 Shop Womens & Plus for $10 & UNDER #SALE
From: "Rainbow Shops" <[email-masked]>
To: [email-masked]
Date: 18 May 2022 21:02:44 -0400

💖 Fabulous styles mama will absolutely adore. Get it for just $3! YASSS

Follow us @RainbowShops on Instagram and show off your #RainbowStyle!